# khtml Library API Documentation

Overview | Class Hierarchy | Classes | Classes (annotated) | Members | Namespaces | Source Files

# DOM::StyleSheetList Class Reference

The `StyleSheetList` interface provides the abstraction of an ordered collection of style sheets. More...

`#include <css_stylesheet.h>`

List of all members.

## Public Member Functions

| StyleSheetList (const StyleSheetList &other)
| StyleSheetList (StyleSheetListImpl *impl)
StyleSheetList & | operator= (const StyleSheetList &other)
unsigned long | length () const
StyleSheet | item (unsigned long index)
StyleSheetListImpl * | handle () const
bool | isNull () const

## Protected Attributes

StyleSheetListImpl * | impl

## Detailed Description

The `StyleSheetList` interface provides the abstraction of an ordered collection of style sheets.

Definition at line 309 of file css_stylesheet.h.

## Member Function Documentation

unsigned long StyleSheetList::length | ( |  | ) | const

| The number of `StyleSheet` in the list. The range of valid child stylesheet indices is `0` to `length-1` inclusive. Definition at line 236 of file css_stylesheet.cpp. References DOM::CSSRuleList::length().

StyleSheet StyleSheetList::item | ( | unsigned long | index | ) |

Used to retrieve a style sheet by ordinal index.

Parameters:

  | index | Index into the collection

Returns:
  The style sheet at the `index` position in the `StyleSheetList` , or `null` if that is not a valid index.

Definition at line 242 of file css_stylesheet.cpp.

The documentation for this class was generated from the following files:

- css_stylesheet.h
- css_stylesheet.cpp

This file is part of the documentation for khtml Library Version 3.4.1.
Documentation copyright © 1996-2004 the KDE developers.
Generated on Sat Jun 11 20:33:38 2005 by doxygen 1.4.1 written by Dimitri van Heesch, © 1997-2003